IE7 and FlexBuilder3 plugin not working for automation using QTP ?

October 7, 2009 at 6:42 am 6 comments

 Are you using FlexBuilder3 plugin and IE7?  Tere was a issue with the Flex Builder 3 Plugin when used with IE7 (http://bugs.adobe.com/jira/browse/FLEXENT-770 ).

This issue was resolved from Flex Builder 3.2 onwards.   Please follow the steps below to get the latest plugin.

  1. Uninstall the existing flex plugin
  2. Download the last Flex Builder 4 QTP plugin zip file http://download.macromedia.com/pub/labs/flex/4/flex4_automation_install_100509.zip
  3. Unzip it in a permanent location and then click on the Install_QTP_Plugin.bat and then restart your machine.
  4. Now try recording the automatable flexstore application http://www.adobe.com/devnet/flex/samples/flex_store_v2/
Advertisements

Entry filed under: Flex Automation. Tags: .

Using Ant sccript to compile the flex application and enable automation. Flex 4 Automation – New feature list

6 Comments Add your own

  • 1. Olivier Roger  |  December 16, 2009 at 5:09 pm

    Hello,

    I was wondering if there was any advantage to use the lastest QTP plugin over the one bundled with the sdk in use?

    Are the plugins 100% retro-compatible?

    Thank you in advance,

    Olivier

    Reply
    • 2. raniskumar  |  April 13, 2010 at 1:31 pm

      Plugin is modified to handle some limiation it had before related to js wrapper.
      Plugin and SDK verison does not have much relation other than the XML file.

      It is always recommended to use the plugin which comes along with the release with the sdk’s supported for that release

      Reply
  • 3. Naga Sachin  |  January 4, 2010 at 2:16 pm

    Hi ,
    QTP 9.1 recognizes the flex objects but few flex objects such as combo box,drop down and text box are not identified. Object spy on these flex objects is identified as “MacromediaFlashPlayerActiveX”. There is no script generated in QTP while recording on these objects but an error dialog box displayed “TypeError: Error #1009: Cannot access a property or method of a null object reference”.
    But Button is identified as flex button, but on playing back a recorded script I get the following “Unable to find automation method ‘click’ for class ‘name: FlexButton superClassName: FlexObject event2descriptor”.

    Reply
    • 4. raniskumar  |  April 13, 2010 at 1:18 pm

      QTP 9.1 is very old. And from QTP 9.2 the interfaces are changed. I think from the first verison of flex automation support, we use the API description of 9.2 and higher. So i doubt 9.1 works!

      Reply
      • 5. Naga Sachin  |  April 16, 2010 at 10:00 am

        Thanks Rani. Can you please let us know the suitable Versions of IE and QTP to work on SDK 3.0.0 as we have few restrictions to upgrade SDK to higher versions.

  • 6. Naga Sachin  |  April 16, 2010 at 10:01 am

    Adding to the previous mail, let us know the suitable combination of IE and QTP which has compatibility with SDK 3.0.0

    Reply

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Trackback this post  |  Subscribe to the comments via RSS Feed


Calendar

October 2009
M T W T F S S
« Sep   Dec »
 1234
567891011
12131415161718
19202122232425
262728293031  

Most Recent Posts


%d bloggers like this: